www.cendio.com
Bug 5068 - Move WebSocket support JavaScript code from home.tmpl to a separate file
: Move WebSocket support JavaScript code from home.tmpl to a separate file
Status: CLOSED FIXED
: ThinLinc
Web Access
: trunk
: PC Unknown
: P2 Normal
: 4.9.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2014-04-04 11:52 by
Modified: 2017-06-15 17:24 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2014-04-04 11:52:53

    
------- Comment #1 From cendio 2014-04-07 13:31:11 -------
- It mixes program code (JavaScript) with presentation code (HTML/template
language) in one file.

- It's impossible to reuse the code elsewhere without copying it.

- Browsers may choose to cache an external JavaScript file. They don't have
that option with embedded JavaScript.
------- Comment #3 From cendio 2017-05-22 13:34:05 -------
Fixed now.
------- Comment #4 From cendio 2017-05-30 14:41:54 -------
Looks good.